/*
 * IncorrectExpression.h
 *
 *  Created on: Dec 6, 2012
 *      Author: attero
 */

#ifndef INCORRECTEXPRESSION_H_
#define INCORRECTEXPRESSION_H_

#include "ASTExpression.h"
#include <iostream>

class IncorrectExpression: public ASTExpression {
public:

	std::string error_message;

	virtual SenchaObject evaluate() ;

	void execute() { std::cout << debug(); }
	void execute_quietly() { //do nothing

	}
	std::string debug() { return "Incorrect Expression:\n" + error_message; }

	IncorrectExpression(ASTNode * parent, std::string error_message);
	virtual ~IncorrectExpression();
};

#endif /* INCORRECTEXPRESSION_H_ */
